/*
 * Code for class WEL_BS_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F586_11021(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11022(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11023(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11024(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11025(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11026(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11027(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11028(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11029(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11030(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11031(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11032(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11033(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11034(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11035(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11036(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11037(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11038(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11039(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11040(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11041(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11042(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11043(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11044(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11045(EIF_REFERENCE);
extern EIF_TYPED_VALUE F586_11046(EIF_REFERENCE);
extern void EIF_Minit586(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_BS_CONSTANTS}.bs_pushbutton */
EIF_TYPED_VALUE F586_11021 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_defpushbutton */
EIF_TYPED_VALUE F586_11022 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_checkbox */
EIF_TYPED_VALUE F586_11023 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_autocheckbox */
EIF_TYPED_VALUE F586_11024 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_radiobutton */
EIF_TYPED_VALUE F586_11025 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_3state */
EIF_TYPED_VALUE F586_11026 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_auto3state */
EIF_TYPED_VALUE F586_11027 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 6L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_groupbox */
EIF_TYPED_VALUE F586_11028 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 7L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_userbutton */
EIF_TYPED_VALUE F586_11029 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_autoradiobutton */
EIF_TYPED_VALUE F586_11030 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_ownerdraw */
EIF_TYPED_VALUE F586_11031 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 11L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_lefttext */
EIF_TYPED_VALUE F586_11032 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_text */
EIF_TYPED_VALUE F586_11033 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_icon */
EIF_TYPED_VALUE F586_11034 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 64L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_bitmap */
EIF_TYPED_VALUE F586_11035 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 128L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_left */
EIF_TYPED_VALUE F586_11036 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 256L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_right */
EIF_TYPED_VALUE F586_11037 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 512L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_center */
EIF_TYPED_VALUE F586_11038 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 768L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_top */
EIF_TYPED_VALUE F586_11039 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1024L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_bottom */
EIF_TYPED_VALUE F586_11040 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2048L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_vcenter */
EIF_TYPED_VALUE F586_11041 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3072L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_pushlike */
EIF_TYPED_VALUE F586_11042 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4096L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_multiline */
EIF_TYPED_VALUE F586_11043 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8192L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_notify */
EIF_TYPED_VALUE F586_11044 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16384L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_flat */
EIF_TYPED_VALUE F586_11045 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32768L);
	return r;
}

/* {WEL_BS_CONSTANTS}.bs_rightbutton */
EIF_TYPED_VALUE F586_11046 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

void EIF_Minit586 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
